package cn.com.infosec.asn1.teletrust;

import cn.com.infosec.asn1.x9.X9ECParameters;
import cn.com.infosec.asn1.x9.X9ECParametersHolder;
import cn.com.infosec.math.ec.ECCurve;
import cn.com.infosec.math.ec.ECPoint;
import cn.com.infosec.util.encoders.Hex;
import java.math.BigInteger;

class TeleTrusTNamedCurves$6 extends X9ECParametersHolder {
   protected X9ECParameters createParameters() {
      ECCurve.Fp var3;
      ECCurve.Fp var10000 = var3 = new ECCurve.Fp;
      BigInteger var10001 = new BigInteger("D7C134AA264366862A18302575D1D787B09F075797DA89F57EC8C0FF", 16);
      BigInteger var1;
      var1 = new BigInteger.<init>("D7C134AA264366862A18302575D1D787B09F075797DA89F57EC8C0FC", 16);
      BigInteger var2;
      var2 = new BigInteger.<init>("4B337D934104CD7BEF271BF60CED1ED20DA14C08B3BB64F18A60888D", 16);
      var10000.<init>(var10001, var1, var2);
      ECCurve.Fp var10002 = var3;
      ECPoint var4 = var3.decodePoint(Hex.decode("046AB1E344CE25FF3896424E7FFE14762ECB49F8928AC0C76029B4D5800374E9F5143E568CD23F3F4D7C0D4B1E41C8CC0D1C6ABD5F1A46DB4C"));
      var1 = new BigInteger.<init>("D7C134AA264366862A18302575D0FB98D116BC4B6DDEBCA3A5A7939F", 16);
      var2 = new BigInteger.<init>("01", 16);
      return new X9ECParameters(var10002, var4, var1, var2);
   }
}
